#ifndef ds1620_h
#define ds1620_h

#include <WConstants.h> 

class Ds1620
{
  public:
    Ds1620(int rst, int clk, int dq);
    void config();
    void start_conv() ;
    void stop_conv() ;
    int read_data();
  
  private:
    int rstPin, clkPin, dqPin; 
    int read_raw_data(void);
    void write_command(int command);
    void out_bit(int bit) ;
    void clk_high(void);
    void clk_low(void);
    void rst_high(void);
    void rst_low(void);
  
};



#endif
